SparkFun MCP9600 Arduino Library [![Build Status](https://travis-ci.com/sparkfun/SparkFun_MCP9600_Arduino_Library.svg?token=3wUDYUD5kXLUXs2Cb6te&branch=master)](https://travis-ci.com/sparkfun/SparkFun_MCP9600_Arduino_Library)
========================================

![SparkFun MCP9600 Breakout](https://media.tenor.com/images/47b81948be5023555549c01d88ae3289/tenor.gif)

This library allows the user to:

* Read temperature in Celcius or Fahrenheit
* Use a variety of thermocouple types
* Configure the onboard exponential moving average filter
* Set up continuous and burst conversion modes
* Configure temperature alerts


Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/BME280-Breakout-Board)** - Main repository (including hardware files) for the SparkFun BME280 Breakout.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/sparkfun-bme280-breakout-hookup-guide)** - Basic hookup guide for the SparkFun BME280 Breakout.

Products that use this Library 
---------------------------------

* [*SPX-15508*](https://www.sparkfun.com/products/15508)

Version History
---------------

* [V_1.0.0](https://github.com/sparkfun/SparkFun_MCP9600_Arduino_Library/tree/V_1.0.0) - Public release.

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.